' Script to determine if a process is running on a machine
' Very useful for system administrators to monitor processes
'
' Version 1.0, Created 2/6/2004
' Copyright  2004, Detlef Schneider (dsATdetlefschneiderDOTde)

' Parameters: 	strComputer	- Name of machine in your domain or "." for local machine
'		strProcess	- Name of process to check
'		strFalse	- String to return if process is NOT running. Defaults to "False"
'		strTrue		- String to return if process is running. Defaults to "True"

' You easily can use the strFalse and strTrue parameters to specify PNG images to be used
' with Samurize dynamic PNG feature

On Error Resume Next

Function IsProcessRunning(strComputer, strProcess, strFalse, strTrue)
	If strFalse = "" Then strFalse = "False"
	If strTrue = "" Then strTrue = "True"
	Set objWMIService = GetObject("winmgmts:" & "{impersonationLevel=impersonate}!\\" & strComputer & "\root\cimv2")
	Set ProcessSet =  objWMIService.ExecQuery ("Select * from Win32_Process where Caption = '" & strProcess & "'")
	
	IsProcessRunning = strFalse
	For each Process in ProcessSet
		If Process.Caption = strProcess Then
			IsProcessRunning = strTrue
		End If
	Next
End Function
